## Gentoo system tcsh script
##
## Based on the TCSHRC package (http://tcshrc.sourceforge.net)
##
## .tcshrc.bindkey		2Sep2001, Simos Xenitellis (simos@hellug.gr)
##
## 2005-09-30  --  Fabian Groffen (grobian@gentoo.org)
##     Renamed to /etc/profile.d/tcsh-bindkey.csh (now sourced by csh.cshrc)
##     Moved optional KEY definitions to a separate file, since it was
##     impossible to activate them anyway
## 2003-01-13  --  Alain Penders (alain@gentoo.org)
##     Renamed to /etc/profile.d/tcsh-bindkey
##     Made unnecessary KEY definitions optional.
##

#  One can use the "bindkey" facility to redefine the meaning of 
#  keys on the keyboard. Now you can eventually use those F*** keys.
#

# INSERT : toggles overwrite or insert mode.
bindkey    ^[[2~  overwrite-mode 

# DELETE : delete char at cursor position.
bindkey    ^[[3~  delete-char

# HOME : go to the beginning of the line.
bindkey    ^[[1~  beginning-of-line

# END : go to the end of the line.
bindkey    ^[[4~  end-of-line

# PAGE UP : search in history backwards for line beginning as current.
bindkey    ^[[5~   history-search-backward

# PAGE DOWN : search in history forwards for line beginning as current.
bindkey    ^[[6~   history-search-forward

